apiVersion: apps.openshift.io/v1
kind: DeploymentConfig
metadata:
  annotations:
    openshift.io/generated-by: OpenShiftNewApp
  creationTimestamp: "2021-01-07T09:42:52Z"
  generation: 3
  labels:
    app: eap73-openjdk11-basic-s2i
    application: helloworld
    template: eap73-openjdk11-basic-s2i
    xpaas: "7.3"
  name: helloworld
  namespace: eap-demo
  resourceVersion: "1063734"
  selfLink: /apis/apps.openshift.io/v1/namespaces/eap-demo/deploymentconfigs/helloworld
  uid: b5f368e1-50cc-11eb-a32b-525400419191
spec:
  replicas: 1
  revisionHistoryLimit: 10
  selector:
    deploymentConfig: helloworld
  strategy:
    activeDeadlineSeconds: 21600
    recreateParams:
      timeoutSeconds: 600
    resources: {}
    type: Recreate
  template:
    metadata:
      annotations:
        openshift.io/generated-by: OpenShiftNewApp
      creationTimestamp: null
      labels:
        app: eap73-openjdk11-basic-s2i
        application: helloworld
        deploymentConfig: helloworld
      name: helloworld
    spec:
      containers:
      - env:
        - name: JGROUPS_PING_PROTOCOL
          value: dns.DNS_PING
        - name: OPENSHIFT_DNS_PING_SERVICE_NAME
        - name: OPENSHIFT_DNS_PING_SERVICE_PORT
          value: "8888"
        - name: MQ_CLUSTER_PASSWORD
          value: P7iVWcUl
        - name: MQ_QUEUES
        - name: MQ_TOPICS
        - name: JGROUPS_CLUSTER_PASSWORD
          value: paUQIgBH
        - name: AUTO_DEPLOY_EXPLODED
          value: "false"
        - name: ENABLE_GENERATE_DEFAULT_DATASOURCE
          value: "false"
        image: 172.30.1.1:5000/eap-demo/helloworld@sha256:97855de20779ff97bfe9c5ad98b61758be96d5a3ba960a7f6dae13881473bffd
        imagePullPolicy: Always
        livenessProbe:
          exec:
            command:
            - /bin/bash
            - -c
            - /opt/eap/bin/livenessProbe.sh
          failureThreshold: 3
          initialDelaySeconds: 60
          periodSeconds: 10
          successThreshold: 1
          timeoutSeconds: 1
        name: helloworld
        ports:
        - containerPort: 8778
          name: jolokia
          protocol: TCP
        - containerPort: 8080
          name: http
          protocol: TCP
        - containerPort: 8888
          name: ping
          protocol: TCP
        readinessProbe:
          exec:
            command:
            - /bin/bash
            - -c
            - /opt/eap/bin/readinessProbe.sh
          failureThreshold: 3
          initialDelaySeconds: 10
          periodSeconds: 10
          successThreshold: 1
          timeoutSeconds: 1
        resources:
          limits:
            memory: 1Gi
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
      dnsPolicy: ClusterFirst
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      terminationGracePeriodSeconds: 75
  test: false
  triggers:
  - imageChangeParams:
      automatic: true
      containerNames:
      - helloworld
      from:
        kind: ImageStreamTag
        name: helloworld:latest
        namespace: eap-demo
      lastTriggeredImage: 172.30.1.1:5000/eap-demo/helloworld@sha256:97855de20779ff97bfe9c5ad98b61758be96d5a3ba960a7f6dae13881473bffd
    type: ImageChange
  - type: ConfigChange
status:
  availableReplicas: 1
  conditions:
  - lastTransitionTime: "2021-01-07T10:17:05Z"
    lastUpdateTime: "2021-01-07T10:17:05Z"
    message: replication controller "helloworld-2" has failed progressing
    reason: ProgressDeadlineExceeded
    status: "False"
    type: Progressing
  - lastTransitionTime: "2021-01-07T10:17:33Z"
    lastUpdateTime: "2021-01-07T10:17:33Z"
    message: Deployment config has minimum availability.
    status: "True"
    type: Available
  details:
    causes:
    - type: ConfigChange
    message: config change
  latestVersion: 2
  observedGeneration: 3
  readyReplicas: 1
  replicas: 1
  unavailableReplicas: 0
  updatedReplicas: 0
